function comunicadosController($timeout, $uibModal, $sepLocalPath, $sepInstitucion, $sepLooper) {
    var self = this;

    self.looper = null;
    self.iniciar = iniciar;
    self.detener = detener;
    self.siguiente = siguiente;
    self.anterior = anterior;
    self.modal = modal;

    cargarComunicados();

    function cargarComunicados() {
        return $sepInstitucion.obtenerComunicados(function(res) {
            if (!res.error) {
                self.looper = $sepLooper({
                    items: res.data || [],
                    activeProperty: 'activo',
                    interval: 18000
                });

                var importantes = $.grep(self.looper.items, function(c) {
                    return c.importante;
                });

                var siguiente = -1;
                $timeout(siguienteComunicado, 1500);

                function siguienteComunicado() {
                    siguiente++;
                    if (siguiente < importantes.length) {
                        $uibModal.open({
                            windowClass: 'margin-top-lg',
                            keyboard: false,
                            backdrop: 'static',
                            size: 'lg',
                            templateUrl: '/part/inicio/modal-comunicado-importante02',
                            controller: function() {
                                this.comunicado = importantes[siguiente];
                            },
                            controllerAs: 'importante'
                        })
                            .result.then(function() {
                                siguienteComunicado();
                            });
                    }
                }
            }
        });
    }

    function iniciar() {
        if (self.looper) self.looper.start();
    }

    function detener() {
        if (self.looper) self.looper.stop();
    }

    function siguiente() {
        if (self.looper) self.looper.next();
    }

    function anterior() {
        if (self.looper) self.looper.previous();
    }

    function modal(comunicado) {
        $uibModal.open({
            size: 'sm',
            templateUrl: $sepLocalPath('/part/inicio/modal-comunicado01'),
            controller: function($scope) {
                $scope.comunicado = comunicado;
            }
        });
    }
}